
From: gerg@snapgear.com

Implement the sched_clock() function for m68knommu architectures.



 25-akpm/arch/m68knommu/kernel/time.c |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN arch/m68knommu/kernel/time.c~m68knommu-sched_clock arch/m68knommu/kernel/time.c
--- 25/arch/m68knommu/kernel/time.c~m68knommu-sched_clock	Mon Jan  5 12:37:21 2004
+++ 25-akpm/arch/m68knommu/kernel/time.c	Mon Jan  5 12:37:21 2004
@@ -202,4 +202,12 @@ int do_settimeofday(struct timespec *tv)
 	return 0;
 }
 
+/*
+ * Scheduler clock - returns current time in nanosec units.
+ */
+unsigned long long sched_clock(void)
+{
+	return (unsigned long long)jiffies * (1000000000 / HZ);
+}
+
 EXPORT_SYMBOL(do_settimeofday);

_
